<?php

/**
 * etherFAX test application for PHP
 * Copyright (c) 2009-2012, etherFAX, LLC All rights reserved.
 */

require_once 'EtherFax.php';

// create fax client
$client = new EtherFax_Client();
$client->setCredentials('efax-xxxx-xxxx/user_name', 'password');

// get account status
$acc = $client->getAccountStatus();
echo "Account: " . $acc->Account . ", ports: " . + $acc->Ports . "\n";

// get unread fax count
$unread = $client->getUnreadFaxCount();
if ($unread > 0)
{
	// get unread fax list
	echo 'Unread Faxes: ' . $unread . "\n";
	$faxes = $client->getUnreadFaxList();
	foreach ($faxes as $f)
	{
		// display fax information
		echo 'New fax from: ' . $f->CallingNumber . ' on ' . $f->ReceivedOn . "\n";

		// download fax
		$fax = $client->getFax($f->JobId);
		echo 'Fax image length: ' . strlen($fax->FaxImage) . "\n";

		// mark fax as received
		$client->setFaxReceived($f->JobId);
	}
}

// send fax
$fax = $client->sendFax('+18005551234', '/.../sample.tif', 0, 'MyCSID');
echo 'Send Result: ' . $fax->Result . "\n";
if ($fax->Result == FaxResult::InProgress)
{
	// display job id if successful
	echo 'Job-id: ' . $fax->JobId . "\n";
	$status = $client->getFaxStatus($fax->JobId);
}

// get pending fax count
$pending = $client->getPendingFaxCount();
echo 'Unread Faxes: ' . $pending . "\n";

?>
