/**
 * DateParser.java
 * Copyright (c) 2009-2013, etherFAX, LLC
 * 
 * This date formatter module converts the common Internet date/time format into
 * a local date instance.
 */

package etherfax.web;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.TimeZone;

/**
 * DateParser class.
 */
public class DateParser {
	/**
	 * Static private data.
	 */
	private static SimpleDateFormat _df = null;
	
	/**
	 * parse
	 */
	public static Date parse(String dateString) {
		Date result = null;
		
		if (_df == null) {
			_df = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss");
			_df.setTimeZone(TimeZone.getTimeZone("GMT"));
		}
		
		try {
			result = _df.parse(dateString);
		}
		catch (Exception e) {
			e.printStackTrace();
		}

		return result;
	}
}
