/**
 * FaxReceive.java
 */

package etherfax.web;

import java.util.Date;

import org.apache.commons.codec.binary.Base64;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/**
 * FaxReceive class.
 */
public class FaxReceive {
	public int Result;
	public String JobId;
	public String CalledNumber;
	public String CallingNumber;
	public String RemoteId;
	public int PagesReceived;
	public int ConnectTime;
	public int ConnectSpeed;
	public Date ReceivedOn;
	public byte[] FaxImage;
	
	/**
	 * fromXmlNode
	 */
	public void fromXmlNode(Node node, boolean image) {
		// process all text nodes
		NodeList inner = node.getChildNodes();
		for (int n = 0; n < inner.getLength(); n++) {
			if (inner.item(n).getNodeType() == Node.ELEMENT_NODE) {
				String item = inner.item(n).getNodeName().toLowerCase();
				String val = inner.item(n).getTextContent();
				
				try {
					if (item.equals("faxresult"))
						Result = Integer.parseInt(val);
					else if (item.equals("jobid"))
						JobId = val;
					else if (item.equals("callednumber"))
						CalledNumber = val;
					else if (item.equals("callingnumber"))
						CallingNumber = val;
					else if (item.equals("remoteid"))
						RemoteId = val;
					else if (item.equals("pagesreceived"))
						PagesReceived = Integer.parseInt(val);
					else if (item.equals("connecttime"))
						ConnectTime = Integer.parseInt(val);
					else if (item.equals("connectspeed"))
						ConnectSpeed = Integer.parseInt(val);
					else if (item.equals("receivedon"))
						ReceivedOn = DateParser.parse(val);
					else if (item.equals("faximage") && image)
						FaxImage = Base64.decodeBase64(val);
				}
				catch (Exception e) {
					e.printStackTrace();
				}
			}
		}
	}
}
