/**
 * FaxStatus.java
 */

package etherfax.web;

import java.util.Date;

import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/**
 * FaxStatus class.
 */
public class FaxStatus {
	public int Result;
	public int State;
	public String JobId;
	public String Tag;
	public int ConnectTime;
	public int ConnectSpeed;
	public int PagesDelivered;
	public String RemoteId;
	public Date CompletedOn;
	
	/**
	 * fromXmlNode
	 */
	public void fromXmlNode(Node node) {
		// process all text nodes
		NodeList nodes = node.getChildNodes();
		for (int n = 0; n < nodes.getLength(); n++) {
			if (nodes.item(n).getNodeType() == Node.ELEMENT_NODE) {
				String item = nodes.item(n).getNodeName().toLowerCase();
				String val = nodes.item(n).getTextContent();
				
				try {
					if (item.equals("faxresult"))
						Result = Integer.parseInt(val);
					else if (item.equals("faxstate"))
						State = Integer.parseInt(val);
					else if (item.equals("jobid"))
						JobId = val;
					else if (item.equals("connecttime"))
						ConnectTime = Integer.parseInt(val);
					else if (item.equals("connectspeed"))
						ConnectSpeed = Integer.parseInt(val);
					else if (item.equals("pagesdelivered"))
						PagesDelivered = Integer.parseInt(val);
					else if (item.equals("remoteid"))
						RemoteId = val;
					else if (item.equals("tag"))
						Tag = val;
					else if (item.equals("completedon"))
						CompletedOn = DateParser.parse(val);
				}
				catch (Exception e) {
					e.printStackTrace();
				}
			}
		}
	}
}
